{% extends 'pages/calendar-month.html.twig' %}
{% block body4 %}
<div class="d-flex justify-content-center">
    <h4>{{ app.session.get('jours')}} {{ app.session.get('mois')}} {{
        app.session.get('annee')}}</h4>
</div>
<div class="container border rounded" style="height: 90%;">
    <div class="row h-50 border">
        <div class="col border">
            <div class="d-flex justify-content-center">
                8h - 12h
            </div>
            {% if app.session.get('planning') != null %}
            <br>
            <div class="d-flex justify-content-center">
                {{
                app.session.get('planning').interMatin.matiere.nomMatiere|default('')
                }}
            </div>
            <br>
            <div class="d-flex justify-content-center">
                {{ app.session.get('planning').interMatin.nomInter|default('')
                }}
            </div>
            <div class="d-flex justify-content-center">
                {{
                app.session.get('planning').interMatin.enseignant.nom|default('')
                }} {{
                app.session.get('planning').interMatin.enseignant.prenom|default('')
                }}
            </div>
            {% endif %}
        </div>
    </div>
    <div class="row h-50 border">
        <div class="col border">
            <div class="d-flex justify-content-center">
                13h - 17h
            </div>
            {% if app.session.get('planning') != null %}
            <br>
            <div class="d-flex justify-content-center">
                {{
                app.session.get('planning').interAprem.matiere.nomMatiere|default('')
                }}
            </div>
            <br>
            <div class="d-flex justify-content-center">
                {{ app.session.get('planning').interAprem.nomInter|default('')
                }}
            </div>
            <div class="d-flex justify-content-center">
                {{
                app.session.get('planning').interAprem.enseignant.nom|default('')
                }} {{
                app.session.get('planning').interAprem.enseignant.prenom|default('')
                }}
            </div>
            {% endif %}
        </div>
    </div>
    <div class="d-flex justify-content-center pt-3">

        <button type="button" class="btn btn-primary" data-toggle="modal"
            data-target="#mymodal">Modifier</button>
        <!-- Modal -->
        <div class="modal fade" id="mymodal">
            <div class="modal-dialog modal-lg modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3>{{ app.session.get('jours')}} {{
                            app.session.get('mois')}} {{
                            app.session.get('annee')}}</h3>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-6">
                                <div class="d-flex justify-content-center pt-3">
                                    <h4>Matin</h4>
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <select name="matierematin" id="idmatierematin" style="font-size:
                                        20px;" onchange="">
                                        <option value=""> </option>
                                        {% for mat in matieres %}
                                        <option {% if mat.nomMatiere|default('')
                                            ==
                                            app.session.get('planning').interMatin.matiere.nomMatiere|default('')
                                            %} selected {% endif %} value="{{
                                            mat.id }}">{{ mat.nomMatiere
                                            }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <input type="text" name="nomintermatin" id="nomintermatin" value="{{
                                        app.session.get('planning').interMatin.nomInter|default('')
                                        }}" size="35%" style="font-size: 20px;">
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <select name="intervenantmatin" id="idintervenantmatin" style="font-size:
                                        20px;">
                                        <option value=""> </option>
                                        {% for ens in enseignants %}
                                        <option {% if ens.id|default('') ==
                                            app.session.get('planning').interMatin.enseignant.id|default('')
                                            %} selected {% endif %} value="{{ ens.id|default('') }}">{{
                                            ens.nom|default('')
                                            }} {{
                                            ens.prenom|default('')
                                            }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="d-flex justify-content-center pt-3">
                                    <h4>Après-Midi</h4>
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <select name="matiereaprem" id="idmatiereaprem" style="font-size:
                                        20px;">
                                        <option value=""> </option>
                                        {% for mat in matieres %}
                                        <option {% if mat.nomMatiere|default('')
                                            ==
                                            app.session.get('planning').interAprem.matiere.nomMatiere|default('')
                                            %} selected {% endif %} value="{{
                                            mat.id }}">{{ mat.nomMatiere
                                            }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <input type="text" name="nominteraprem" id="nominteraprem" value="{{
                                        app.session.get('planning').interAprem.nomInter|default('')
                                        }}" size="35%" style="font-size: 20px;">
                                </div>
                                <div class="d-flex justify-content-center pt-3">
                                    <select name="intervenantaprem" id="idintervenantaprem" style="font-size:
                                        20px;">
                                        <option value=""> </option>
                                        {% for ens in enseignants %}
                                        <option {% if ens.id|default('') ==
                                            app.session.get('planning').interAprem.enseignant.id|default('')
                                            %} selected {% endif %} value="{{ ens.id|default('') }}">{{
                                            ens.nom|default('')
                                            }} {{
                                            ens.prenom|default('')
                                            }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <br>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" onclick="savePlanning();">Sauvegarder</button>
                        <button type="button" class="btn btn-secondary"
                            data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
            function savePlanning() {
                //TO DO si var null
                var intermatin = "{{ app.session.get('planning').interMatin.id|default('') }}";
                var interaprem = "{{ app.session.get('planning').interAprem.id|default('') }}";
                var infosplan = "{{ app.session.get('planning').id|default('') }}";

                $.post("{{ path('saveday') }}", {
                    data: { 
                            idmatierematin : $("#idmatierematin").val(),
                            nomintermatin : $("#nomintermatin").val(),
                            idintervenantmatin : $("#idintervenantmatin").val(),
                            idmatiereaprem : $("#idmatiereaprem").val(),
                            nominteraprem :  $("#nominteraprem").val(),
                            idintervenantaprem : $("#idintervenantaprem").val(),
                            idplan : infosplan
                    }
                },
                function(data, status){
                  if(status == "success"){
                      location.reload(true);
                  }else{
                      if(confirm("Une erreur s'est produite. Voulez-vous recharger la page ?")){
                        location.reload(true);
                      }
                  }
                }
                );
            };
    </script>

    {% endblock %}